#
# spec file for package gap-localizeringforhomalg
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-localizeringforhomalg
Version:        2023.10.01
%define sillyver 2023.10-01
Release:        1.4
Summary:        GAP: A Package for Localization of Polynomial Rings
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/LocalizeRingForHomalg
#Git-Clone:	https://github.com/homalg-project/homalg_project
Source:         https://github.com/homalg-project/homalg_project/releases/download/LocalizeRingForHomalg-%sillyver/LocalizeRingForHomalg-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12.1
Requires:       gap-gapdoc >= 1.0
Requires:       gap-homalgtocas >= 2023.08.01
Requires:       gap-matricesforhomalg >= 2023.10.01
Requires:       gap-modules >= 2023.08.01

%description
This package is part of the homalg project and allows localization of
a (computable) commutative ring at a (finitely generated) maximal
ideal.

%prep
%autosetup -n LocalizeRingForHomalg-%sillyver

%build
rm -v doc/clean

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.10.01
  * No changelog was provided
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.11.01
  * No changelog
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.09.01
  * No changelog was provided
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.02.04
  * No changelog was provided
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 2017.09.10
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.07.17
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No changelog was provided again
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 2014.11.20
  * No changelog was provided again
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.08.27
  * No changelog was provided
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 2013.11.11
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split localizeringforhomalg (version 2012.10.26)
  off the gap RPM package
